Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.camera
Class AxisCamera.ResolutionT

    java.lang.Object
      edu.wpi.first.wpilibj.camera.AxisCamera.ResolutionT

Enclosing class:
  AxisCamera

    public static class AxisCamera.ResolutionT

extends Object

Enumeration representing the image resoultion provided by the camera.

Field Summary
`int` | `height` Number of pixels tall.
`static AxisCamera.ResolutionT` | `k160x120` Image is 160 pixels wide by 120 tall
`static AxisCamera.ResolutionT` | `k320x240` Image is 320 pixels wide by 240 tall
`static AxisCamera.ResolutionT` | `k640x360` Image is 640 pixels wide by 360 tall
`static AxisCamera.ResolutionT` | `k640x480` Image is 640 pixels wide by 480 tall
`int` | `value` The integer value of the enumeration.
`int` | `width` Number of pixels wide.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

  The integer value of the enumeration.

### width

    public final int width

  Number of pixels wide.

### height

    public final int height

  Number of pixels tall.

### k640x480

    public static final AxisCamera.ResolutionT k640x480

  Image is 640 pixels wide by 480 tall

### k640x360

    public static final AxisCamera.ResolutionT k640x360

  Image is 640 pixels wide by 360 tall

### k320x240

    public static final AxisCamera.ResolutionT k320x240

  Image is 320 pixels wide by 240 tall

### k160x120

    public static final AxisCamera.ResolutionT k160x120

  Image is 160 pixels wide by 120 tall

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"